<?php

namespace Drupal\combinary;

use Drupal\Core\Config\Config;
use Drupal\Core\Config\ConfigFactoryInterface;
use Psr\Container\ContainerInterface;
use GuzzleHttp\Client;

class CombinaryManager {

  protected $configFactory;

  /**
   * Constructs a new GlobalConfigForm object.
   */
  public function __construct(ConfigFactoryInterface $config_factory)
  {
    $this->configFactory = $config_factory;
  }

  public static function create(ContainerInterface $container)
  {
    return new static(
      $container->get('config.factory')
    );
  }


  public function getCombinaryJson($limit, $offset) {

    $config = $this->configFactory->get('combinary.combinarysettings');

    $server_url = $config->get('combinary_url');
    $client = new Client(['base_uri' => $server_url]);
    $request = $client->request("GET", '', ['query' => ['limit' => $limit, 'offset' => $offset]]);
    $status = $request->getStatusCode();
    $posts = [];

    switch ($status) {
      case 200:
        $posts = json_decode($request->getBody()->getContents(), true);
        break;
    }

    return $posts;
  }

}
